ڈراپ‑اِن ریپلیسمنٹ
مطابقOpenAI اور Anthropic SDKs کے ساتھ کام کرتا ہے۔ بس base URL بدلیں۔
تمام زبانیں برابر ہیں۔ وہ زبان منتخب کریں جس میں آپ براؤز کرنا چاہتے ہیں۔
OpenAI اور Anthropic کے مطابق AI API، فنکشن کالنگ، ویب سرچ اور ساختی آؤٹ پٹس کے ساتھ۔
Shannon کے OpenAI اور Anthropic موافق API کے ساتھ شِپ کرنے کے لیے درکار سب کچھ۔
https://api.shannon-ai.com/v1/chat/completions فنکشن کالنگ اور اسٹریمنگ کے ساتھ Chat Completions API استعمال کریں۔
https://api.shannon-ai.com/v1/messages Claude Messages فارمیٹ ٹولز اور anthropic-version ہیڈر کے ساتھ۔
تصدیق: Bearer <aap-ki-key> یا Claude‑اسٹائل کالز کے لیے X-API-Key کے ساتھ anthropic-version۔
عوامی ڈاکس - کال کرنے کے لیے کلید درکار ہے اسٹریمنگ، فنکشن کالنگ، اسٹرکچرڈ آؤٹ پٹس، ویب سرچ۔
OpenAI اور Anthropic API کے لیے drop‑in متبادل، ٹولز، ساختی آؤٹ پٹس اور بلٹ‑اِن ویب سرچ سپورٹ کے ساتھ۔
OpenAI اور Anthropic SDKs کے ساتھ کام کرتا ہے۔ بس base URL بدلیں۔
ٹولز کی تعریف کریں، Shannon انہیں کال کرے گا۔ auto، forced، اور none موڈز سپورٹ۔
ذرائع کے حوالوں کے ساتھ ریئل‑ٹائم ویب سرچ۔ خودکار دستیاب۔
قابلِ اعتماد ڈیٹا کے لیے JSON موڈ اور JSON Schema enforcement۔
خودکار فنکشن ایکزیکیوشن لوپس۔ ہر درخواست پر 10 iterations تک۔
ریئل‑ٹائم ٹوکن اسٹریمنگ کے لیے Server‑Sent Events۔
تین مراحل میں شروع کریں۔ Shannon OpenAI اور Anthropic کلائنٹس کی نقل کرتا ہے۔
OpenAI‑مطابق endpoint استعمال کریں۔
https://api.shannon-ai.com/v1/chat/completions Authorization ہیڈر میں Bearer auth استعمال کریں۔
زبان منتخب کریں اور اپنی کلید لگائیں۔
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
max_tokens=1024
)
print(response.choices[0].message.content) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'system', content: 'You are a helpful assistant.' },
{ role: 'user', content: 'Hello, Shannon!' }
],
max_tokens: 1024
});
console.log(response.choices[0].message.content); package main
import (
"context"
"fmt"
openai "github.com/sashabaranov/go-openai"
)
func main() {
config := openai.DefaultConfig("YOUR_API_KEY")
config.BaseURL = "https://api.shannon-ai.com/v1"
client := openai.NewClientWithConfig(config)
resp, err := client.CreateChatCompletion(
context.Background(),
openai.ChatCompletionRequest{
Model: "shannon-1.6-lite",
Messages: []openai.ChatCompletionMessage{
{Role: "system", Content: "You are a helpful assistant."},
{Role: "user", Content: "Hello, Shannon!"},
},
MaxTokens: 1024,
},
)
if err != nil {
panic(err)
}
fmt.Println(resp.Choices[0].Message.Content)
} curl -X POST "https://api.shannon-ai.com/v1/chat/completions" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "shannon-1.6-lite",
"messages": [
{"role": "system", "content": "You are a helpful assistant."},
{"role": "user", "content": "Hello, Shannon!"}
],
"max_tokens": 1024
}' {
"id": "chatcmpl-abc123",
"object": "chat.completion",
"created": 1234567890,
"model": "Shannon 1.6 Lite",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "Hello! I'm Shannon, your AI assistant. How can I help you today?"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 25,
"completion_tokens": 18,
"total_tokens": 43
}
} اپنے براؤزر میں براہِ راست Shannon API ٹیسٹ کریں۔ درخواست بنائیں، چلائیں اور ریئل‑ٹائم جواب دیکھیں۔
Switch across OpenAI Chat Completions, Responses, and Anthropic Messages without leaving the playground.
Run real requests, inspect raw JSON, and view stream events from the same operator console.
Signed-in users can pull their Shannon API key straight into the dedicated playground workspace.
/ur/docs/playground The playground now lives on its own route so the API docs stay Astro-rendered while the request builder remains an explicitly interactive client tool.
تمام API درخواستوں کے لیے آپ کی Shannon API کلید کے ذریعے توثیق ضروری ہے۔
Authorization: Bearer YOUR_API_KEY X-API-Key: YOUR_API_KEY
anthropic-version: 2023-06-01 Shannon مختلف استعمال کے لیے بہتر کیے گئے متعدد ماڈلز پیش کرتا ہے۔
shannon-1.6-lite Shannon 1.6 Lite روزمرہ کاموں کے لیے تیز، مؤثر جوابات
shannon-1.6-pro Shannon 1.6 Pro پیچیدہ مسائل کے لیے جدید ریزننگ
shannon-2-lite Shannon 2 Lite
shannon-2-pro Shannon 2 Pro
shannon-coder-1 Shannon Coder کال‑بیسڈ کوٹے کے ساتھ Claude Code CLI کے لیے آپٹمائزڈ
وہ ٹولز متعین کریں جنہیں Shannon کارروائیاں کرنے یا معلومات حاصل کرنے کے لیے کال کر سکے۔
from openai import OpenAI
import json
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Define available tools/functions
tools = [
{
"type": "function",
"function": {
"name": "get_weather",
"description": "Get current weather for a location",
"parameters": {
"type": "object",
"properties": {
"location": {
"type": "string",
"description": "City name, e.g., 'Tokyo'"
},
"unit": {
"type": "string",
"enum": ["celsius", "fahrenheit"]
}
},
"required": ["location"]
}
}
}
]
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[{"role": "user", "content": "What's the weather in Tokyo?"}],
tools=tools,
tool_choice="auto"
)
# Check if model wants to call a function
if response.choices[0].message.tool_calls:
tool_call = response.choices[0].message.tool_calls[0]
print(f"Function: {tool_call.function.name}")
print(f"Arguments: {tool_call.function.arguments}") import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const tools = [
{
type: 'function',
function: {
name: 'get_weather',
description: 'Get current weather for a location',
parameters: {
type: 'object',
properties: {
location: { type: 'string', description: "City name" },
unit: { type: 'string', enum: ['celsius', 'fahrenheit'] }
},
required: ['location']
}
}
}
];
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [{ role: 'user', content: "What's the weather in Tokyo?" }],
tools,
tool_choice: 'auto'
});
if (response.choices[0].message.tool_calls) {
const toolCall = response.choices[0].message.tool_calls[0];
console.log('Function:', toolCall.function.name);
console.log('Arguments:', toolCall.function.arguments);
} "auto" ماڈل طے کرتا ہے کہ فنکشن کال کرنی ہے یا نہیں (ڈیفالٹ) "none" اس درخواست کے لیے فنکشن کالنگ بند کریں {"type": "function", "function": {"name": "..."}} کسی مخصوص فنکشن کال کو مجبور کریں {
"id": "chatcmpl-xyz",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": null,
"tool_calls": [
{
"id": "call_abc123",
"type": "function",
"function": {
"name": "get_weather",
"arguments": "{\"location\": \"Tokyo\", \"unit\": \"celsius\"}"
}
}
]
},
"finish_reason": "tool_calls"
}
]
} Shannon کو مجبور کریں کہ وہ آپ کے اسکیمہ کے مطابق درست JSON واپس کرے۔
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Force JSON output with schema
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Extract: John Doe, 30 years old, engineer"}
],
response_format={
"type": "json_schema",
"json_schema": {
"name": "person_info",
"schema": {
"type": "object",
"properties": {
"name": {"type": "string"},
"age": {"type": "integer"},
"occupation": {"type": "string"}
},
"required": ["name", "age", "occupation"]
}
}
}
)
import json
data = json.loads(response.choices[0].message.content)
print(data) # {"name": "John Doe", "age": 30, "occupation": "engineer"} import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Extract: John Doe, 30 years old, engineer' }
],
response_format: {
type: 'json_schema',
json_schema: {
name: 'person_info',
schema: {
type: 'object',
properties: {
name: { type: 'string' },
age: { type: 'integer' },
occupation: { type: 'string' }
},
required: ['name', 'age', 'occupation']
}
}
}
});
const data = JSON.parse(response.choices[0].message.content);
console.log(data); // { name: "John Doe", age: 30, occupation: "engineer" } {"type": "json_object"} درست JSON آؤٹ پٹ لازمی کریں (بغیر مخصوص اسکیمہ) {"type": "json_schema", "json_schema": {...}} آپ کے عین اسکیمہ سے ملتا آؤٹ پٹ لازمی کریں ریئل‑ٹائم ٹوکن اسٹریمنگ کو Server‑Sent Events کے ساتھ فعال کریں تاکہ UI تیز ردعمل دے۔
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Enable streaming for real-time responses
stream = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "Write a short poem about AI"}
],
stream=True
)
for chunk in stream:
if chunk.choices[0].delta.content:
print(chunk.choices[0].delta.content, end="", flush=True) import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Enable streaming for real-time responses
const stream = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'Write a short poem about AI' }
],
stream: true
});
for await (const chunk of stream) {
const content = chunk.choices[0]?.delta?.content;
if (content) process.stdout.write(content);
} Shannon میں built‑in web_search فنکشن ہے جو خودکار طور پر دستیاب ہے۔
from openai import OpenAI
client = OpenAI(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/v1"
)
# Web search is automatically available!
# Shannon will use it when needed for current information
response = client.chat.completions.create(
model="shannon-1.6-lite",
messages=[
{"role": "user", "content": "What are the latest AI news today?"}
],
# Optionally, explicitly define web_search tool
tools=[{
"type": "function",
"function": {
"name": "web_search",
"description": "Search the web for current information",
"parameters": {
"type": "object",
"properties": {
"query": {"type": "string", "description": "Search query"}
},
"required": ["query"]
}
}
}]
)
print(response.choices[0].message.content)
# Response includes sources and citations import OpenAI from 'openai';
const client = new OpenAI({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/v1'
});
// Web search is automatically available!
// Shannon will use it when needed for current information
const response = await client.chat.completions.create({
model: 'shannon-1.6-lite',
messages: [
{ role: 'user', content: 'What are the latest AI news today?' }
],
// Optionally, explicitly define web_search tool
tools: [{
type: 'function',
function: {
name: 'web_search',
description: 'Search the web for current information',
parameters: {
type: 'object',
properties: {
query: { type: 'string', description: 'Search query' }
},
required: ['query']
}
}
}]
});
console.log(response.choices[0].message.content);
// Response includes sources and citations Shannon Anthropic Messages API فارمیٹ کو بھی سپورٹ کرتا ہے۔
https://api.shannon-ai.com/v1/messages import anthropic
client = anthropic.Anthropic(
api_key="YOUR_API_KEY",
base_url="https://api.shannon-ai.com/messages"
)
response = client.messages.create(
model="shannon-1.6-lite",
max_tokens=1024,
messages=[
{"role": "user", "content": "Hello, Shannon!"}
],
# Tool use (Anthropic format)
tools=[{
"name": "web_search",
"description": "Search the web",
"input_schema": {
"type": "object",
"properties": {
"query": {"type": "string"}
},
"required": ["query"]
}
}]
)
print(response.content[0].text) import Anthropic from '@anthropic-ai/sdk';
const client = new Anthropic({
apiKey: 'YOUR_API_KEY',
baseURL: 'https://api.shannon-ai.com/messages'
});
const response = await client.messages.create({
model: 'shannon-1.6-lite',
max_tokens: 1024,
messages: [
{ role: 'user', content: 'Hello, Shannon!' }
],
// Tool use (Anthropic format)
tools: [{
name: 'web_search',
description: 'Search the web',
input_schema: {
type: 'object',
properties: {
query: { type: 'string' }
},
required: ['query']
}
}]
});
console.log(response.content[0].text); کسی بھی OpenAI یا Anthropic SDK کا استعمال کریں — صرف base URL تبدیل کریں۔
آفیشل OpenAI Python SDK - Shannon کے ساتھ کام کرتا ہے
pip install openai آفیشل OpenAI Node.js SDK - Shannon کے ساتھ کام کرتا ہے
npm install openai OpenAI‑مطابق APIs کے لیے کمیونٹی Go کلائنٹ
go get github.com/sashabaranov/go-openai OpenAI‑مطابق APIs کے لیے کمیونٹی Ruby کلائنٹ
gem install ruby-openai OpenAI‑مطابق APIs کے لیے کمیونٹی PHP کلائنٹ
composer require openai-php/client OpenAI‑مطابق APIs کے لیے Async Rust کلائنٹ
cargo add async-openai آفیشل Anthropic Python SDK - Shannon کے ساتھ کام کرتا ہے
pip install anthropic آفیشل Anthropic TypeScript SDK - Shannon کے ساتھ کام کرتا ہے
npm install @anthropic-ai/sdk Shannon معیاری HTTP status codes استعمال کرتا ہے اور تفصیلی error messages واپس کرتا ہے۔
{
"error": {
"message": "Invalid API key provided",
"type": "authentication_error",
"code": "invalid_api_key"
}
} Shannon API کی تازہ ترین اپڈیٹس اور بہتریاں۔
YOUR_API_KEY اپنی API کلید کو خفیہ رکھیں۔ دوبارہ بنانے سے نئی کلید بنتی ہے اور پرانی منسوخ ہوتی ہے۔
جب آپ سائن اِن ہوں تو اس صفحے پر ٹوکن اور سرچ کی کھپت دیکھیں۔
Shannon Coder (shannon-coder-1) کے لیے کال‑بیسڈ کوٹہ۔ ہر 4 گھنٹوں بعد ری سیٹ ہوتا ہے۔
اپنی API کلید حاصل کریں اور آج ہی Shannon AI کے ساتھ بنانا شروع کریں۔
مقبول تلاشیں: